![example_plot](https://github.com/alexdsbreslav/quicklook/assets/21344372/1eb05d0b-5712-4bda-8500-78a5aa76f110)

# quicklooks
quicklooks is a Python package for visualizing data quickly.  
Check out the documentation by clicking [here](https://github.com/alexdsbreslav/quicklooks/tree/master/how_to_use_quicklooks) or by navigating to the folder `how_to_use_quicklooks`.

## Why quicklooks?
Creating attractive, ready-to-share data visualizations takes forever. quickooks is a cut-and-paste Python package that does the design work for you and makes it easy to create beautifully simple data visualizations.

## Who is quicklooks best for?
quicklooks is for any data scientist, product manager, or researcher that knows a little bit of Python and is analyzing their data in a Jupyter Notebook. My goal in writing quicklooks was to make data viz more efficient, but in the process, I've also created a package that is easy to use for beginners.

## To install...
In JupyterLab:
1. Open the Launcher by clicking "+" in the top left of the window.
2. Select "Terminal"
3. Run...
   ```
   pip install quicklooks
   ```

Once you've installed quicklooks, you can import it into each of your notebooks by using the follow code in the first cell:
```python
import quicklooks as ql
```

## Documentation
The [documentation is here](https://github.com/alexdsbreslav/quicklook/tree/master/how_to_use_quicklook).

## Acknowledgments
quicklook is built using [Matplotlib](https://matplotlib.org/), [NumPy](https://numpy.org/), [Pandas](https://pandas.pydata.org/), [Coolors](https://coolors.co/), [opencolor](https://yeun.github.io/open-color/), and [seaborn](https://seaborn.pydata.org/).

